import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.Resource.Factory;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.emf.ecore.resource.impl.ResourceSetImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl;

import com.enemy.Enemy.Behaviour;
import com.enemy.Enemy.impl.EnemyPackageImpl;


public class ImportXMI {

	public static void main(String[] args) {
		//Initialize
		EnemyPackageImpl.init();		
		
		//Cargar modelo XMI
		//Permitir que se deserialice el XMI con formato .enemy
		//Get Singleton Factory
		Factory.Registry.INSTANCE.getExtensionToFactoryMap().put("enemy",new XMIResourceFactoryImpl());
		
		//Un conjunto de recursos
		ResourceSet resourceSet = new ResourceSetImpl();
		
		//Obtener un recurso
		Resource resource = resourceSet.getResource(URI.createURI("model/behaviour.enemy"),true);
		
		Behaviour behaviour = (Behaviour)resource.getContents().get(0);	
	}	
}
