package org.mde.web.model;

import com.enemy.Enemy.*;

public class TemplateModelToJava
{
  protected static String nl;
  public static synchronized TemplateModelToJava create(String lineSeparator)
  {
    nl = lineSeparator;
    TemplateModelToJava result = new TemplateModelToJava();
    nl = null;
    return result;
  }

  public final String NL = nl == null ? (System.getProperties().getProperty("line.separator")) : nl;
  protected final String TEXT_1 = "";
  protected final String TEXT_2 = NL + NL + "public void Update(long gameTime){\t" + NL + "\tif (state == EnemyState.Dying) return;";
  protected final String TEXT_3 = "a_";
  protected final String TEXT_4 = "();";
  protected final String TEXT_5 = NL + "\tif(c_";
  protected final String TEXT_6 = "()){" + NL + "\t\t";
  protected final String TEXT_7 = "a_";
  protected final String TEXT_8 = "();";
  protected final String TEXT_9 = NL + "\t}";
  protected final String TEXT_10 = NL + "\telse{";
  protected final String TEXT_11 = NL + "\t\ta_";
  protected final String TEXT_12 = "();";
  protected final String TEXT_13 = NL + "\t}";
  protected final String TEXT_14 = NL + "\t" + NL + "\t//Always last execution. No configurable." + NL + "    execute(gameTime);" + NL + "}";

  public String generate(Object argument)
  {
    final StringBuffer stringBuffer = new StringBuffer();
    stringBuffer.append(TEXT_1);
     Behaviour behaviour = (Behaviour)argument; 
    stringBuffer.append(TEXT_2);
    for(Action actionsBehaviour : behaviour.getActions()){
    stringBuffer.append(TEXT_3);
    stringBuffer.append(actionsBehaviour.getIdAction().toString());
    stringBuffer.append(TEXT_4);
    }
    for(When when : behaviour.getWhens()){
    stringBuffer.append(TEXT_5);
    stringBuffer.append(when.getCondition().getIdCondition().toString());
    stringBuffer.append(TEXT_6);
    for(Action action : when.getActions()){
    stringBuffer.append(TEXT_7);
    stringBuffer.append(action.getIdAction().toString());
    stringBuffer.append(TEXT_8);
    }
    stringBuffer.append(TEXT_9);
    if(when.getOtherwise() != null){
    stringBuffer.append(TEXT_10);
    for(Action actionOtherwise : when.getOtherwise().getActions()){
    stringBuffer.append(TEXT_11);
    stringBuffer.append(actionOtherwise.getIdAction().toString());
    stringBuffer.append(TEXT_12);
    }
    stringBuffer.append(TEXT_13);
    }
    }
    stringBuffer.append(TEXT_14);
    return stringBuffer.toString();
  }
}
